class Lista
{
  Item head= new Item(null);

  void AddFirst(String s)
  {
    Item it= new Item(s);
    it.next= head.next;
    head.next= it;
  }

  boolean Find(String s)
  {
    for (Item it= head.next; it!=null; it= it.next)
      if (it.s.equals(s)) return true;
    return false;
  }

  void Delete(String s)
  {
    Item it=head;
    while (!it.next.s.equals(s))
    {
      it= it.next;
      if (it==null) return;
    }
    it.next= it.next.next; 
  }

  void Print()
  {
    for (Item it= head.next; it!=null; it= it.next)
      System.out.println(it.s+" ");
  }

  public static void main(String args[])
  {
    Lista l= new Lista();

    l.AddFirst("hola");
    l.AddFirst("palabra");
    l.AddFirst("pistola");
    l.AddFirst("vida");
    l.AddFirst("calambre");
    l.AddFirst("tuto");
    l.AddFirst("...");

    Lista no= new Lista();

    for (int i=0; i<args.length; i++)
      if (l.Find(args[i]))
        l.Delete(args[i]);
      else
        no.AddFirst(args[i]);

    System.out.println("Nueva lista:");
    l.Print();
    System.out.println("\nNo se encontro");
    no.Print();
  }
}

class Item
{
  Item next;
  String s;

  Item(String is)
  {
    s= is;
    next= null;
  }
}

