import Scenes.*;
import java.awt.*;

public class Game
{
  public static void main(String args[])
  {
    Animator anim= new Animator(200, 150, "Animator");

    // Argumentos: color de la caja, color de fondo,
    //             x_inicial, y_inicial, ancho, alto
    Box   box= new Box(Color.black, Color.white, 30, 30, 30, 15);
    // Box box2= new Box(Color.black, Color.red, 20, 25, 30, 15);

    anim.push(box);
    Animator.sleep(2000);

    mover(box, 120, 100, 80); // obj. grafico, x final, y final, velocidad
                              // en pixels por segundo.
    box.setDim(60, 30);

    // Box box2= new Box(Color.black, Color.red, 20, 25, 30, 15);

    // Ellipse eli= new Ellipse(Color.red, Color.green, 20, 20, 30, 10);
    // anim.push(eli);
    // mover(eli, 120, 100, 80);
    // Text text=  new Text("Texto", Color.black, 10, 10);
    // anim.push(text);

    Animator.sleep(2000);
    System.exit(0);
  }

  static void mover(Grob go, double xf, double yf, double v)
  {
    double xi= go.getX();
    double yi= go.getY() ;
    double dx= xf-xi;
    double dy= yf-yi;
    double d= Math.sqrt(dx*dx+dy*dy);
    double vx= v*dx/d;
    double vy= v*dy/d;
    double tf= d/v;
    double t= 0;
    double dt= 0.05;

    while (t<tf)
    {
      go.moveTo((int)(xi+t*vx+0.5), (int)(yi+t*vy+0.5));
      Animator.sleep(50);
      t+= dt;
    }

    Animator.sleep((int)(tf-t));
    go.moveTo((int)xf, (int)yf);
  }
}
