import java.awt.*;
import java.applet.*;

public class Ev extends Frame {

    TextField texto;
    Button boton;
    Checkbox check;

    Canvas canvas;

    Label etiqueta;
    TextArea areaTexto;

    List lista;

    public Ev() {
        Panel bottomPanel = new Panel();
        setLayout(new BorderLayout());

        //Agregar un campo para texto, un boton y un checkbox
        texto= new TextField("TextField");
        bottomPanel.add(texto);
        boton= new MyButton("Quit");
        bottomPanel.add(boton);
        check= new Checkbox("Checkbox");
        bottomPanel.add(check);
        add("South", bottomPanel);

        //Agregar un cavas para dibujar
        canvas= new MyCanvas(this);
        add("Center", canvas);

        //Put a label and a text area in the right column.
        etiqueta= new Label("Label", Label.CENTER);
        add("North", etiqueta);
        areaTexto= new TextArea("TextArea", 5, 20);
        add("West", areaTexto);

        //Put a list on the right side of the window.
        lista = new List(3, false);

        for (int i = 1; i <= 10; i++) {
            lista.addItem("List item " + i);
        }
        add("East", lista); 
    }
  public boolean action(Event evt, Object what)
  {
    System.out.println("action en contenedor "+evt.id);
    return false;
  }

    public static void main(String args[]) {
        Frame frame= new Ev();
        frame.setTitle("Algunos artefactos de AWT");

        frame.pack();
        frame.show();
    }

}

// La idea es extender Canvas para hacer algo interesante con l.
class MyCanvas extends Canvas {
    Ev ev;

    MyCanvas(Ev evarg) { ev= evarg; }

    public void paint(Graphics g) {
        int w = size().width;
        int h = size().height;
        g.drawRect(0, 0, w - 1, h - 1);
        g.drawString("Canvas", (w - g.getFontMetrics().stringWidth("Canvas"))/2,
                      10);

        g.setFont(new Font("Helvetica", Font.PLAIN, 8));
        g.drawLine(10,10, 100,100);
        g.fillRect(9,9,3,3);
        g.drawString("(10,10)", 13, 10);
        g.fillRect(49,49,3,3);
        g.drawString("(50,50)", 53, 50);
        g.fillRect(99,99,3,3);
        g.drawString("(100,100)", 103, 100);
    }

    //En un canvas hay que especificar su minimo tamao para
    //que AWT no le ponga tamao 0
    public Dimension minimumSize() {
        return new Dimension(150,130);
    }

    //Tambin se puede especificar un tamao preferido
    //en este caso es igual al tamao mnimo
    public Dimension preferredSize() {
        return minimumSize();
    }
  public boolean mouseDown(Event evt, int x, int y)
  {
    System.out.println("mouse down");
    return false;
  }
  public boolean mouseDrag(Event evt, int x, int y)
  {
    ev.etiqueta.setText(x+" "+y);
    return true;
  }
  public boolean mouseUp(Event evt, int x, int y)
  {
    System.out.println("mouse up");
    return true;
  }
  public boolean action(Event evt, Object what)
  {
    System.out.println("action en canvas "+evt.id);
    return true;
  }

}

class MyButton extends Button
{
  MyButton(String name)
  {
    super(name);
  }
  public boolean action(Event evt, Object what)
  {
    System.out.println("action en boton "+evt.id);
    if (evt.id==Event.ACTION_EVENT) System.exit(0);
    return false;
  }
}

