import java.awt.*;
import java.applet.*;

public class Gui extends Frame {

    TextField texto;
    Button boton;
    Checkbox check;

    Canvas canvas;

    Label etiqueta;
    TextArea areaTexto;

    List lista;

    public Gui() {
        Panel bottomPanel = new Panel();
        setLayout(new BorderLayout());

        //Agregar un campo para texto, un boton y un checkbox
        texto= new TextField("TextField");
        bottomPanel.add(texto);
        boton= new Button("Button");
        bottomPanel.add(boton);
        check= new Checkbox("Checkbox");
        bottomPanel.add(check);
        add("South", bottomPanel);

        //Agregar un cavas para dibujar
        canvas= new MyCanvas();
        add("Center", canvas);

        //Put a label and a text area in the right column.
        etiqueta= new Label("Label", Label.CENTER);
        add("North", etiqueta);
        areaTexto= new TextArea("TextArea", 5, 20);
        add("West", areaTexto);

        //Put a list on the right side of the window.
        lista = new List(3, false);

        for (int i = 1; i <= 10; i++) {
            lista.addItem("List item " + i);
        }
        add("East", lista); 
    }

    public static void main(String args[]) {
        Frame frame= new Gui();
        frame.setTitle("Algunos artefactos de AWT");

        frame.pack();
        frame.show();
    }

}

// La idea es extender Canvas para hacer algo interesante con l.
class MyCanvas extends Canvas {

    public void paint(Graphics g) {
        int w = size().width;
        int h = size().height;
        g.drawRect(0, 0, w - 1, h - 1);
        g.drawString("Canvas", (w - g.getFontMetrics().stringWidth("Canvas"))/2,
                      10);

        g.setFont(new Font("Helvetica", Font.PLAIN, 8));
        g.drawLine(10,10, 100,100);
        g.fillRect(9,9,3,3);
        g.drawString("(10,10)", 13, 10);
        g.fillRect(49,49,3,3);
        g.drawString("(50,50)", 53, 50);
        g.fillRect(99,99,3,3);
        g.drawString("(100,100)", 103, 100);
    }

    //En un canvas hay que especificar su minimo tamao para
    //que AWT no le ponga tamao 0
    public Dimension minimumSize() {
        return new Dimension(150,130);
    }

    //Tambin se puede especificar un tamao preferido
    //en este caso es igual al tamao mnimo
    public Dimension preferredSize() {
        return minimumSize();
    }
}
