public class Sorter {

  // Define aqu el mtodo sort
  // public ... {
  //   ... size() ...
  //   ... swap(i,j) ...
  //   ... if (compare(i,j)>0) ...
  // }
  public void sort() {
    for (int i=0; i<size(); i++)
      for(int j=i+1; j<size(); j++)
        if (compare(i,j)>0) swap(i,j);
  }

  // El arreglo
  public double[] array;

  // El constructor
  public Sorter(double[] array) {
    this.array= array;
  }

  // Intercambiar
  public void swap(int i, int j) {
    double x= array[i];
    array[i]= array[j];
    array[j]= x;
  }

  public int compare(int i, int j) {
    if (array[i]<array[j]) return -1;
    else if (array[i]==array[j]) return 0;
    else return 1;
  }

  public void print() {
    for(int i=0; i<size(); i++)
      System.out.print(array[i]+" ");
    System.out.println();
  }

  public int size() { return array.length; }

  public static void main(String[] args) {
    double[] array= { 5.0, 10.0, -4.0, 15.0, 13.0, 46.0, -2.0};
    Sorter sorter= new Sorter(array);
    sorter.print();
    sorter.sort();
    sorter.print();
  }
}
